class Note:
    def __init__(self, id_: int, hex_id: str, extension: str, body: str):
        self.id = id_
        self.hex_id = hex_id
        self.extension = extension
        self.body = body

    @classmethod
    def from_dict(cls, dict_):
        return cls(
            id_=dict_['id'],
            hex_id=dict_['hex_id'],
            extension=dict_['extension'],
            body=dict_['body'],
        )

    def to_dict(self):
        return {
            'id': self.id,
            'hex_id': self.hex_id,
            'extension': self.extension,
            'body': self.body,
        }
