class ValidRequest:
    @classmethod
    async def from_dict(cls, dict_):
        raise NotImplementedError

    @property
    def is_valid(self):
        return True


class InvalidRequest:
    def __init__(self):
        self.errors = []

    def add_error(self, parameter, message):
        self.errors.append({'parameter': parameter, 'message': message})

    @property
    def is_valid(self):
        return False
