class Tag:
    def __init__(self, id_: int, name: str):
        self.id = id_
        self.name = name

    @classmethod
    def from_dict(cls, dict_):
        return cls(dict_['id'], dict_['name'])

    def to_dict(self):
        return {'id': self.id, 'name': self.name}
