from note_storage.core.jsonschema_validation import get_first_validation_error

from .base_request import InvalidRequest


async def validate_request(validator, dict_):
    invalid_request = InvalidRequest()

    if error := (await get_first_validation_error(validator, dict_)):
        invalid_request.add_error(*error)
        return invalid_request
