_note_completion() {
    local IFS=$'
'

    # https://stackoverflow.com/a/12495480
    # Also see comment from jarno

    cur="${COMP_WORDS[COMP_CWORD]}"
    _get_comp_words_by_ref -n : cur

    COMPREPLY=( $( env COMP_WORDS="${COMP_WORDS[*]}" \
                   COMP_CWORD=$COMP_CWORD \
                   _NOTE_COMPLETE=complete $1 ) )

    __ltrim_colon_completions "$cur"

    return 0
}

_note_completionetup() {
    local COMPLETION_OPTIONS=""
    local BASH_VERSION_ARR=(${BASH_VERSION//./ })
    # Only BASH version 4.4 and later have the nosort option.
    if [ ${BASH_VERSION_ARR[0]} -gt 4 ] || ([ ${BASH_VERSION_ARR[0]} -eq 4 ] && [ ${BASH_VERSION_ARR[1]} -ge 4 ]); then
        COMPLETION_OPTIONS="-o nosort"
    fi

    complete $COMPLETION_OPTIONS -F _note_completion note
}

_note_completionetup;
